## com.bbn.openmap.omGraphics.grid
Class ElevationBandGeneratorLoader

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.omGraphics.grid.GeneratorLoader
                  com.bbn.openmap.omGraphics.grid.ColorGeneratorLoader
                      com.bbn.openmap.omGraphics.grid.ElevationBandGeneratorLoader

All Implemented Interfaces:
  java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener, LightMapHandlerChild, PropertyConsumer

public class ElevationBandGeneratorLoader
extends ColorGeneratorLoader

Field Summary
`protected int` `bandHeight`
`static java.lang.String` `BANDHEIGHT_PROPERTY`
`static java.lang.String` `DISPLAY_UNITS_PROPERTY`
`protected Length` `displayUnits`

Fields inherited from class com.bbn.openmap.omGraphics.grid.ColorGeneratorLoader
`colors, COLORS_PROPERTY, ColorsClassProperty, DEFAULT_COLORS_CLASS`

Fields inherited from class com.bbn.openmap.omGraphics.grid.GeneratorLoader
`prettyName`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`ElevationBandGeneratorLoader()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` You should override this so the listener receives any particular events that the GeneratorLoader sends out.
`int` `getBandHeight()`
`Length` `getDisplayUnits()`
`OMGridGenerator` `getGenerator()`
`java.awt.Component` `getGUI()`
`protected java.lang.String` `getUnitAdjustmentTitle()`
`protected java.lang.String` `getValueAdjustmentTitle()`
`void` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)`
`void` `setBandHeight(int bh)`
`void` `setDisplayUnits(Length units)`

Methods inherited from class com.bbn.openmap.omGraphics.grid.ColorGeneratorLoader
`getColors, setColors, setProperties`

Methods inherited from class com.bbn.openmap.omGraphics.grid.GeneratorLoader
`getPrettyName, getProperties, setPrettyName`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyInfo, getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISPLAY_UNITS_PROPERTY

    public static final java.lang.String DISPLAY_UNITS_PROPERTY

See Also:
  Constant Field Values

### BANDHEIGHT_PROPERTY

    public static final java.lang.String BANDHEIGHT_PROPERTY

See Also:
  Constant Field Values

### displayUnits

    protected Length displayUnits

### bandHeight

    protected int bandHeight

Constructor Detail

### ElevationBandGeneratorLoader

    public ElevationBandGeneratorLoader()

Method Detail

### setDisplayUnits

    public void setDisplayUnits(Length units)

### getDisplayUnits

    public Length getDisplayUnits()

### getBandHeight

    public int getBandHeight()

### setBandHeight

    public void setBandHeight(int bh)

### getUnitAdjustmentTitle

    protected java.lang.String getUnitAdjustmentTitle()

### getValueAdjustmentTitle

    protected java.lang.String getValueAdjustmentTitle()

### getGUI

    public java.awt.Component getGUI()

  Overrides:
    `getGUI` in class `GeneratorLoader`

### getGenerator

    public OMGridGenerator getGenerator()

  Overrides:
    `getGenerator` in class `GeneratorLoader`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Description copied from class: `GeneratorLoader`
  You should override this so the listener receives any particular events that the GeneratorLoader sends out.

  Overrides:
    `addPropertyChangeListener` in class `ColorGeneratorLoader`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Overrides:
    `removePropertyChangeListener` in class `ColorGeneratorLoader`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details